Bug 888970 - [abrt] qupzilla-1.3.5-2.fc18: qupzilla_signal_handler: Process /usr/bin/qupzilla was killed by signal 6 (SIGABRT)
Summary: [abrt] qupzilla-1.3.5-2.fc18: qupzilla_signal_handler: Process /usr/bin/qupzi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qupzilla
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d74663b3845e5ef2b0c9f42c91f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-19 22:39 UTC by al morris
Modified: 2013-05-30 02:55 UTC (History)
4 users (show)

Fixed In Version: qupzilla-1.4.3-1.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-29 03:03:58 UTC


Attachments (Terms of Use)
File: backtrace (68.00 KB, text/plain)
2012-12-19 22:39 UTC, al morris
no flags Details
File: cgroup (126 bytes, text/plain)
2012-12-19 22:39 UTC, al morris
no flags Details
File: core_backtrace (7.85 KB, text/plain)
2012-12-19 22:39 UTC, al morris
no flags Details
File: dso_list (20.00 KB, text/plain)
2012-12-19 22:39 UTC, al morris
no flags Details
File: environ (2.86 KB, text/plain)
2012-12-19 22:39 UTC, al morris
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-19 22:39 UTC, al morris
no flags Details
File: maps (93.72 KB, text/plain)
2012-12-19 22:39 UTC, al morris
no flags Details
File: open_fds (1.29 KB, text/plain)
2012-12-19 22:39 UTC, al morris
no flags Details
File: proc_pid_status (927 bytes, text/plain)
2012-12-19 22:39 UTC, al morris
no flags Details
File: var_log_messages (235 bytes, text/plain)
2012-12-19 22:39 UTC, al morris
no flags Details

Description al morris 2012-12-19 22:39:28 UTC
Version-Release number of selected component:
qupzilla-1.3.5-2.fc18

Additional info:
backtrace_rating: 4
cmdline:        qupzilla
crash_function: qupzilla_signal_handler
executable:     /usr/bin/qupzilla
kernel:         3.6.11-3.fc18.x86_64
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 qupzilla_signal_handler at main.cpp:61
 #4 HistoryItem::row at history/historyitem.cpp:111
 #5 HistoryModel::parent at history/historymodel.cpp:184
 #6 parent at ../../src/corelib/kernel/qabstractitemmodel.h:393
 #7 can_create_mapping at itemviews/qsortfilterproxymodel.cpp:401
 #8 QSortFilterProxyModelPrivate::can_create_mapping at itemviews/qsortfilterproxymodel.cpp:398
 #9 QSortFilterProxyModelPrivate::_q_sourceRowsAboutToBeInserted at itemviews/qsortfilterproxymodel.cpp:1290
 #10 QMetaObject::activate at kernel/qobject.cpp:3539
 #11 QAbstractItemModel::rowsAboutToBeInserted at .moc/release-shared/moc_qabstractitemmodel.cpp:189
 #12 QAbstractItemModel::beginInsertRows at kernel/qabstractitemmodel.cpp:2416

Comment 1 al morris 2012-12-19 22:39:31 UTC
Created attachment 666426 [details]
File: backtrace

Comment 2 al morris 2012-12-19 22:39:34 UTC
Created attachment 666427 [details]
File: cgroup

Comment 3 al morris 2012-12-19 22:39:36 UTC
Created attachment 666428 [details]
File: core_backtrace

Comment 4 al morris 2012-12-19 22:39:37 UTC
Created attachment 666429 [details]
File: dso_list

Comment 5 al morris 2012-12-19 22:39:39 UTC
Created attachment 666430 [details]
File: environ

Comment 6 al morris 2012-12-19 22:39:40 UTC
Created attachment 666431 [details]
File: limits

Comment 7 al morris 2012-12-19 22:39:42 UTC
Created attachment 666432 [details]
File: maps

Comment 8 al morris 2012-12-19 22:39:43 UTC
Created attachment 666433 [details]
File: open_fds

Comment 9 al morris 2012-12-19 22:39:45 UTC
Created attachment 666434 [details]
File: proc_pid_status

Comment 10 al morris 2012-12-19 22:39:46 UTC
Created attachment 666435 [details]
File: var_log_messages

Comment 11 Christoph Wickert 2013-05-19 16:07:01 UTC
If i'm not mistaken, this should be fixed in 1.4.3. Do you recall what you did when the application crashed? Can you reproduce the crash reliably?

Comment 12 Fedora Update System 2013-05-19 17:07:44 UTC
qupzilla-1.4.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qupzilla-1.4.3-1.fc19

Comment 13 Fedora Update System 2013-05-19 17:08:05 UTC
qupzilla-1.4.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qupzilla-1.4.3-1.fc18

Comment 14 Fedora Update System 2013-05-19 17:08:37 UTC
qupzilla-1.4.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/qupzilla-1.4.3-1.fc17

Comment 15 Fedora Update System 2013-05-20 20:09:33 UTC
Package qupzilla-1.4.3-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qupzilla-1.4.3-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8661/qupzilla-1.4.3-1.fc19
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2013-05-29 03:03:58 UTC
qupzilla-1.4.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2013-05-30 02:54:19 UTC
qupzilla-1.4.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2013-05-30 02:55:11 UTC
qupzilla-1.4.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.